// Copyright 2009, 2010, 2011 Christopher Smith
// 
// This file is part of smithers.java3d.
// 
// smithers.java3d is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
// 
// smithers.java3d is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
// more details.
// 
// You should have received a copy of the GNU General Public License along with
// smithers.java3d. If not, see <http://www.gnu.org/licenses/>.

/**
 * Provides classes and interfaces for basic 3-dimensional shapes and
 * processing.
 * <p>
 * The main usage of this package is through 3 classes - {@link
 * smithers.java3d.Panel3D}, {@link smithers.java3d.Drawable3D} and {@link
 * smithers.java3d.Transformation}. The {@code Panel3D} class provides a {@code
 * java.awt.Component} which displays 3D graphics. The objects to appear take
 * the form of {@code Drawable3D}s. If the built-in subclasses of {@code
 * Drawable3D} suffice, then one can simply add these to a {@code Panel3D} and
 * display this in a window. Often, one will have to extend {@code Drawable3D};
 * in this case one will need to take note of the {@link
 * smithers.java3d.Transformation#apply} and {@link
 * smithers.java3d.Transformation#invert} methods.
 * </p>
 */
package smithers.java3d;
